<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Đổi mật khẩu</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminChangePassword.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div class="d-flex" id="container">
  <div class="d-flex flex-column p-3 text-white bg-dark" id="sidebarMenuLeft">
    <a class="d-flex mb-3 mb-md-0 me-md-auto text-white text-decoration-none"
       href="/collaborator/home-statistic"
       style="margin: 0 auto">
      <img
          alt=""
          src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png"
          style="height: 5rem; object-fit: contain"/>
    </a>
    <hr>
    <ul class="nav nav-pills flex-column mb-auto">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/media-component">
          <i aria-hidden="true" class="fa fa-video-camera"></i> &nbsp Cài đặt media
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/collaborator-management/page/1">
          <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp Quản lý cộng tác viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Quản lý học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/course-management/page/1">
          <i aria-hidden="true" class="fa fa-book"></i> &nbsp Quản lý khóa học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Quản lý lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Quản lý tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/job-management/page/1">
          <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp Quản lý tuyển dụng
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <hr>
  </div>

  <div class="flex-md-fill" id="content">
    <div class="d-flex justify-content-sm-between align-items-center" id="userInfo">
      <div class="d-flex justify-content-center align-items-center">
        <h5 style="margin: 0">Xin chào</h5> &nbsp;&nbsp; <img alt="" id="userImg"
                                                              th:src="${admin.img}"/>
        &nbsp;&nbsp; <h5 style="margin: 0" th:text="${admin.name} + ' - ' + ${admin.role}"></h5>
      </div>
      <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
    </div>
    <form enctype="multipart/form-data" id="inputClass" method="post"
          th:action="@{/collaborator/change-password/{id} (id = ${collaboratorId})}"
          th:object="${request}">
      <div style="margin-bottom: 18px">
        <h5 id="titleClass">Đổi mật khẩu</h5>
      </div>
      <div id="generalInformation">
        <hr>
        <div class="row" style="font-size: 18px; padding: 10px 20px 0;">
          <div class="mb-3 row">
            <p style="color: red">
              Mật khẩu là một dãy ít nhất 8 kí tự mà phải có ít nhất trong đó:
              1 kí tự in hoa, 1 kí tự thường, 1 kí tự đặc biệt, 1 chữ số
            </p>
          </div>
          <div class="mb-3 row">
            <label class="col-sm-4 col-form-label" for="oldPassword" style="font-weight: bold">
              Mật khẩu cũ
            </label>
            <div class="col-sm-7">
              <input class="form-control" id="oldPassword" th:field="*{oldPassword}"
                     type="password">
              <div class="invalidValue" id="invalidOldPassword"> Mật khẩu không hợp lệ !</div>
            </div>
          </div>
          <div class="mb-3 row">
            <label class="col-sm-4 col-form-label" for="newPassword" style="font-weight: bold">
              Mật khẩu mới
            </label>
            <div class="col-sm-7">
              <input class="form-control" id="newPassword" th:field="*{newPassword}"
                     type="password">
              <div class="invalidValue" id="invalidNewPassword"> Mật khẩu không hợp lệ !</div>
            </div>
          </div>
          <div class="mb-3 row">
            <label class="col-sm-4 col-form-label" for="confirmPassword" style="font-weight: bold">
              Xác nhận mật khẩu
            </label>
            <div class="col-sm-7">
              <input class="form-control" id="confirmPassword"
                     th:field="*{confirmPassword}" type="password">
              <div class="invalidValue" id="invalidConfirmPassword">
                Mật khẩu nhập lại không khớp !
              </div>
            </div>
          </div>
        </div>
      </div>
      <div style="margin-top: 1rem; display: flex">
        <button class="btn btn-primary" style="margin: auto; padding: 10px 30px; font-size: 18px"
                type="reset">
          Nhập lại
        </button>
        <button class="btn btn-primary" onclick="submitForm()"
                style="margin: auto; padding: 10px 30px; font-size: 18px" type="submit">
          Xác nhận
        </button>
      </div>
    </form>
    <div id="footer">
      Copyright © ACTACAD 2021. All Rights Reserved
    </div>
  </div>
  <div id="notification" th:if="${notification.text != null }" th:object="${notification}">
    <div id="contentNotification">
      <div id="headerNotification">
        <h4 style="margin: 0; color: red">THÔNG BÁO</h4>
        <a class="btn"><i class="fa fa-window-close"></i> Đóng lại</a>
      </div>
      <hr>
      <p th:utext="${notification.text}"></p>
    </div>
  </div>
</div>
<script crossorigin="anonymous"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script>
  function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";

    if (h == 0) {
      h = 12;
    }

    if (h > 12) {
      h = h - 12;
      session = "PM";
    }

    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;

    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;

    setTimeout(showTime, 1000);
  }

  showTime();

  $("#notification").click(function () {
    $("#notification").hide();
  });

  const rePassword = /^(?=.*?[A-Z])(?=(.*[a-z]){1,})(?=(.*[\d]){1,})(?=(.*[\W]){1,})(?!.*\s).{8,}$/;

  function isEmpty(string) {
    return string === "";
  }

  function isValid(string) {
    return rePassword.test(string);
  }

  $("#oldPassword").focusout(function () {
    $("#invalidOldPassword").css("display", "none")
    if (isEmpty($("#oldPassword").val()) || !isValid($("#oldPassword").val())) {
      $("#invalidOldPassword").css("display", "block")
    }
  });

  $("#newPassword").focusout(function () {
    $("#invalidNewPassword").css("display", "none")
    if (isEmpty($("#newPassword").val()) || !isValid($("#newPassword").val())) {
      $("#invalidNewPassword").css("display", "block")
    }
  });

  $("#confirmPassword").focusout(function () {
    $("#invalidConfirmPassword").css("display", "none")
    if ($("#confirmPassword").val() != $("#newPassword").val()) {
      $("#invalidConfirmPassword").css("display", "block")
    }
  });

  function submitForm() {
    var error = false;
    if (isEmpty($("#oldPassword").val()) || !isValid($("#oldPassword").val())) {
      error = true;
      $("#invalidOldPassword").css("display", "block")
    }
    if (isEmpty($("#newPassword").val()) || !isValid($("#newPassword").val())) {
      error = true;
      $("#invalidNewPassword").css("display", "block")
    }
    if ($("#confirmPassword").val() != $("#newPassword").val()) {
      error = true;
      $("#invalidConfirmPassword").css("display", "block")
    }
    if (error) {
      event.preventDefault();
    }
  }
</script>
</body>
</html>
